package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableAddSupplemental extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLTableElement element;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.element);
      }

      visitor.endVisit(this);
   }

   public SQLTableElement getElement() {
      return this.element;
   }

   public void setElement(SQLTableElement x) {
      if (x != null) {
         x.setParent(this);
      }

      this.element = x;
   }
}
